/* C program that demonstrates a very simple random number
   generator.  */

#include <stdio.h>

/* Tracks state of random number generator */
unsigned long int next = 1;

/* rand: return pseudo-random integer on 0..32767 */
int rand()
{
  next = next * 1103515245 + 12345;
  return (unsigned int)(next/65536) % 32768;
}

/* srand: set seed for rand() */
void srand(unsigned int seed)
{
  next = seed;
}

/* Draw 10 cards from a deck of 52 cards with replacement */
int main(){
  srand(12345);
  int i;
  for(i=0; i<20; i++){
    int myrand = rand() % 52;
    printf("%2d ",myrand);
  }
  printf("\n");
}
